Requires read_orders access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/orders.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get order details in bulk based on specified request information. For example, you can get orders by the order creation time or update time, or specify an order ID to get details for a single order.
Query Parameters
  • financial_status string
    The payment status of the order. Valid values are:
    • unpaid: order not paid
    • authorized: order payment has been authorized
    • pending: order payment in progress
    • partially_paid: order partially paid
    • paid: order paid
    • partially_refunded: order partially refunded
    • refunded: order fully refunded
  • name string
    Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin.
    Example: D2034
  • hidden_order string
    Whether to query the archived orders or unarchived orders.
    • true: query archived orders
    • false: query unarchived order
    Default value: false
  • search_content string
    Search content, such as order number, payment serial number, express delivery number, product name, product SKU number, and order amount.
    Example: D203
  • status string
    Order status. Valid values are:
    • open: order in process
    • cancelled: order canceled
    • any: contains many other statues, such as order archived
  • updated_at_min string
    Specifies the start update date and time for orders to query. Orders updated on or after this date are returned. Format:ISO 8601.
    Example: 2021-08-04T23:59:59+08:00
  • buyer_id string
    The ID of the buyer who placed the order.
    Example: 4201057495
  • email string
    Email of the buyer who placed the order.
    Example: Washingtontest@gmail.com
  • fields string
    Specify the fields to query, separated by commas. If not specified, all field information is returned.
    Example: id,email,note
  • ids string
    Order IDs, separated by commas. Up to a maximum of 100 IDs.
    Example: 21050224312121887324667162, 21050224312121887324667164
  • limit string
    Query quantity limit, the value must not exceed 100.
    Default value: 50
  • sort_condition string
    Specify the sorting conditions for order results. You can sort by fields order_at (order creating time) or id (order ID), and each field can be specified as either asc(ascending) or desc(descending). Use commas to separate multiple sorting conditions.
    For example, if you specify the value of this field as order_at:desc, id:asc, order results will first be sorted in descending order by order creation time, then in ascending order by order ID.
    Example: order_at:desc
  • updated_at_max string
    Specify the cutoff update date and time for orders to query. Orders updated on or before this date are returned. Format:ISO 8601.
    Example: 2021-08-18T23:59:59+08:00
  • created_at_max string
    Specify the cutoff creation date and time for orders to query. Orders created on or before this date are returned. Format:ISO 8601.
    Example: 2021-08-18T23:59:59+08:00
  • created_at_min string
    Specify the start creation date and time for orders to query. Orders created on or after this date are returned. Format:ISO 8601.
    Example: 2021-08-04T23:59:59+08:00
  • fulfillment_status string
    The shipment status of the order. Valid values are:
    • unshipped: order not shipped
    • partial: order partially shipped
    • shipped: order shipped
    Default value: unshipped
    Caution: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order query will fail and an error fulfillment status value is illegal will be triggered.
  • location string
    The ID of the location where the products in the order are fulfilled, or the POS transaction point ID. You can specify multiple location IDs by separating them with commas.
    Example: 5453386037065169090, 5564834083287605454
  • page_info string
    The unique identifier for pagination queries, used to locate a specific page.
    This parameter value is obtained from the link value in the response header of this API after you have queried the pagination information.
    For example, if the link value you obtained is <https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" , the value of page_info is eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9 .
    For more information on how to use pagination, refer to Paging Mechanism.
  • since_id string
    The starting position of the order number ID of the data to be queried.
    Example: 21056199447626881527947685
  • contract_ids string
    Subscription contract IDs. You can specify multiple IDs by separating them with commas, up to a maximum of 50 IDs.
    Example: 3005619945158043247856
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • link
    The URL link that provides the pagination data. You can obtain page_info from this parameter for subsequent pagination requests.
    This parameter is returned when the requested page has a previous or next page.
    For more information on how to use pagination, refer to Paging Mechanism.
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • ordersobject[]
    List of order details.
  • browser_ip string
    The IP address of the customer's browser used during order placement.
    Example: 157.119.232.35
  • cart_token string
    The unique identifier for shopping cart data.
    Example: c2c4a58186b9d96395d7e6b5c2969577
  • deduct_member_point_amount string
    The amount deducted from the order using member points, expressed in the store currency and rounded to two decimal places.
    Example: 8.00
  • discount_codesobject[]
    A list of promo code information.
  • amount string
    Discount amount in the store currency. The value is rounded to two decimal places.
    Example: 8.00
  • amount_setobject
    The discount amount, displayed in both the buyer currency and the store currency.
  • shop_moneyobject
    The discount amount information recorded by the merchant.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 10.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • presentment_moneyobject
    The discount amount information presented to the buyer.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 70.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • code string
    Promo code.
    Example: KIN4GNAB2FRH
  • type string
    Type of discount. Valid values are:
    • 减金额: amount reduction
    • 打折: offer a discount
    • 免运费: free shipping
    • 加价品: add-on purchase deal
    • 任意N件优惠价: discount for purchasing any N items
    • A+B组合优惠价: discount for purchasing the product A and B combo
    • 赠品: free gift
    • 固定售价: fixed price
    • 最低价商品免费: lowest-priced product free
    • 打包价: package price
    • 第N件打折: discount on the Nth item
    • 买x送y: buy x and get y free
    • 自定义: custom discount
    DEPRECATED:This parameter is deprecated from API version v20241201.
  • payment_detailsobject[]
    A list of order payment information.
  • status_msg string
    The description of status_code.
    Example: PENDING_REVIEW
  • create_time string
    The date and time when the payment order was created. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • pay_merchant_email string
    The email address of the payment service provider.
    Example: Washingtontest@gmail.com
  • pay_merchant_id string
    Payment service provider ID.
    Example: 4201057379
  • settle_currency string
    The currency used by the customer to place the order. The value of this parameter is a three-letter currency code that follow the ISO 4217 standard.
    Example: USD
  • giftcard_presentment_moneyobject
    The gift card amount information presented to the buyer.
  • amount string
    The giftcard amount. The value is rounded to two decimal places.
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
  • pay_seq string
    Payment order number.
    Example: 23057287797738260472676128
  • gateway string
    Payment method name.
    Example: Mypay
  • pay_channel string
    Payment channel.
    Example: Paypal
  • pay_channel_deal_id string
    Payment serial number from the external channel.
    Example: pi_3MI897Hezv8FxjBO1uGxMPhX
  • pay_status string
    Payment status. Valid values are:
    • unpaid: unpaid
    • pending: payment in process
    • risking: under risk control
    • paid:paid
    • paid_overtime: payment timeout
    • paid_failed: payment failed
  • payment_method string
    Payment method.
  • settle_pay_amount double
    Payment amount in settle_currency. The value is rounded to two decimal places.
    Example: 8
  • pay_amount double
    Payment amount in the store currency. The value is rounded to two decimal places.
    Example: 8
  • pay_merchant_order_id string
    Payment service provider order number.
    Example: 233445354566
  • processed_at string
    Custom time for the payment order. Format: ISO 8601.
    Example: 2023-04-12T22:59:52+08:00
  • status_code string
    Payment gateway standard status code.
    Example: RISK_PENDING
  • total_discounts string
    The total order discount, calculated as the sum of marketing discounts and custom discounts. The amount is rounded to two decimal places and displayed in the store currency.
    DEPRECATED:This parameter is deprecated from API version v20210901.
    Example: 3.25
  • total_tax string
    The total tax amount in the store currency. The value is rounded to two decimal places.
    Example: 8.00
  • user_id string
    Buyer ID.
    Example: 4201057495
  • current_total_tax_setobject
    The total tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • billing_addressobject
    The address for sending billing invoices.
  • country string
    The country or region in the address.
    Example: USA
  • first_name string
    The first name of the billing recipient.
    Example: Tom
  • last_name string
    The last name of the billing recipient.
    Example: Washington
  • name string
    The full name of the billing recipient.
    Example: test1001
  • phone string
    The phone number of the billing recipient.
    Example: 13100000000
  • province string
    The province in the address.
    Example: California
  • zip string
    The postal code information of the address.
    Example: 92503
  • address1 string
    The first line of the address. This typically includes information such as the street address or a post office box number.
    Example: Address 1
  • address2 string
    The second line of the address. This typically includes information such as apartment, suite, or unit number.
    Example: Address 2
  • company string
    The company name of the billing recipient.
    Example: New company name
  • country_code string
    A two-letter country or region code that follows the ISO 3166-1 standard, used to identify a specific country or region in the address.
    Example: US
  • province_code string
    The code for the province in the billing address, which can be a custom code or a two-digit ISO 3166-2 international code.
    Example: 4200006
  • standard_province_code string
    The code for the province in the billing address, which is a two-digit ISO 3166-2 international code.This differs from province_code - the province_code response field uses a custom code.
  • city string
    The city in the address.
    Example: New York
  • created_at string
    The date and time when the order was created. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • credit_limitobject
    Credit payment information.
  • credit_limit_currency string
    The currency of the credit payment, same as the store currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • is_credit_limit boolean
    Indicates whether the order used credit payment.
    • true: used
    • false: not used
  • outstanding_credit_limit string
    The current occupied credit amount, initially set to total_credit_limit. This value decreases with actions like repayments.
    Example: 1.00
  • total_credit_limit string
    The total credit amount used to pay for this order.
    Example: 1.00
  • referring_site string
    Attribution URL, used to record how the buyer was redirected to the online store.
    Example: https://www.referringSite.com
  • total_tip_received_setobject
    The tip amount, displayed in both the store currency and the buyer currency.
  • presentment_moneyobject
    The tip amount information presented to the buyer.
  • amount string
    The tip amount. The value is rounded to two decimal places.
    Example: 10.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tip amount information recorded by the merchant.
  • amount string
    The tip amount. The value is rounded to two decimal places.
    Example: 70.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • cancel_reason string
    Merchant's reason for cancellation.
    Example: I don't want to buy it.
  • checkout_token string
    The unique identifier for abandoned order data. After a customer initiates the checkout process, an abandoned order is generated.
    Example: c2c4a58186b9d96395d7e6b5c2969577
  • order_source string
    The order source channel handle. The handle is a semantic identifier.
  • payment_gateway_names array
    Payment method list. Valid values are:
    • SLpayments
    • Paypal
    • Oceanpay
    • TwoCheckout
    • AsiaBill
    • Stripe
    • Pacypay
    • WorldPay
    • COD
    • CUSTOM
    • adjustPay
    • Xendit
    • XenditOther
    Example: ["SLpayments"]
  • processed_user_id string
    The ID of the order creator.
    Example: 4201057495
  • shipping_addressobject
    The address used for receiving packages.
  • company string
    The company name of the recipient.
    Example: Company Name
  • delivery_store_code string
    Store code for the "Deliver to Store" delivery method in Taiwan.
    Example: 1001
  • district string
    The district in the address.
    Example: Panyu District
  • first_name string
    The first name of the recipient.
    Example: Tom
  • standard_province_code string
    The code for the province in the shipping address, which is a two-digit ISO 3166-2 international code.This differs from province_code - the province_code response field uses a custom code.
  • district_code string
    The district code in the address.
    Example: 521000
  • latitude string
    The latitude where the address is located.
    Example: 15
  • longitude string
    The longitude where the address is located.
    Example: 41
  • province string
    The province in the address.
    Example: Guangdong Province
  • city string
    The city in the address.
    Example: City
  • country_code string
    A two-letter country or region code that follows the ISO 3166-1 standard, used to identify a specific country or region in the address.
    Example: US
  • delivery_store_name string
    Store name for the "Deliver to Store" delivery method in Taiwan.
    Example: Store name
  • name string
    The full name of the recipient.
    Example: Tom.Washington
  • address1 string
    The first line of the address. This typically includes information such as the street address or a post office box number.
    Example: Address 1
  • address2 string
    The second line of the address. This typically includes information such as apartment, suite, or unit number.
    Example: Address 2
  • country string
    The country or region in the address.
    Example: China
  • last_name string
    The last name of the recipient.
    Example: Washington
  • phone string
    The phone number of the recipient.
    Example: 13100000000
  • province_code string
    The code for the province in the address, which can be a custom code or a two-digit ISO 3166-2 international code.
    Example: 510000
  • zip string
    The postal code information of the address.
    Example: 521000
  • current_total_discounts_setobject
    The total discount amount displayed in both the buyer currency and the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.
  • presentment_moneyobject
    The total discount amount information presented to the buyer.
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • amount string
    The total discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • shop_moneyobject
    The total discount amount information recorded by the merchant.
  • amount string
    The total discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • email string
    Buyer's email.
    Example: hok@shoplineapp.com
  • phone string
    Buyer's mobile phone number.
    Example: 18978789878
  • total_tip_received string
    The tip amount in the store currency. The value is rounded to two decimal places.
    Example: 8.00
  • current_total_discounts string
    The total discount amount in the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.
    Example: 1.00
  • current_total_price_setobject
    The total order amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The order price information presented to the buyer.
  • amount string
    The total order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The order price information recorded by the merchant.
  • amount string
    The total order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • landing_site string
    Link to record complete order attribution landing page information.
    Example: https://www.url.com
  • note string
    Merchant notes.
    Example: Notes
  • service string
    Shipping method type. Valid values are:
    • Pickup: pick up at the store
    • null: other shipping methods
  • status string
    Order status. Valid values are:
    • open: The order is processing.
    • canceled: The order is cancelled.
  • total_line_items_price_setobject
    The total original price of the products, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The original price information presented to the buyer.
  • amount string
    The original price. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The original price information recorded by the merchant.
  • amount string
    The original price. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • currency string
    Transaction currency. A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • current_subtotal_price string
    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in the store currency.
    Example: 78.0
  • discount_applicationsobject[]
    A list of discount information.
  • allocation_method string
    The discount scope. Valid values are:
    • across: The discount is applied to the total product amount.
    • each: The discount is applied to each product individually.
    For example, for a purchase of three identical products with a discount amount value of 10 yuan. If the allocation_method is across, the total amount of the three products is reduced by 10 yuan. If the allocation_method is each, each product is individually reduced by 10 yuan.
  • benefit_type integer
    The type of discount applied to the product line:
    • -1:No discount
    • 1:Amount reduction
    • 2:Discount
    • 3:Free shipping fee
    • 4:Marked-up item
    • 5:Preferential price for any N items
    • 6:Preferential price for the combination of A and B
    • 7:Gift
    • 8:Fixed selling price
    • 9:The lowest-priced item is free
    • 11:Discount for the Nth item
    • 12:Buy x and get y free
    • 13:Customized
    • 14:M (Monetary Unit) for N Items
  • code string
    Discount code.
    Example: 82UD6BTPX9L2
  • target_selection string
    Discount allocation method for line items. Valid values are:
    • explicit: The discount is allocated only to the explicitly specified line items.
    • all: The discount is allocated to all line items.
    • entitled: The discount is allocated only to the line items that are entitled to use the discount.
  • target_type string
    Discount target type. Valid values are:
    • line_item: discount applied to the product
    • shipping_line: discount applied to the shipping fee
  • title string
    Automatic discount title.
    Example: Automatic discount title
  • value_type string
    The type of discount value. Valid values are:
    • fix_amount: Fixed amount discount. For example, if value is 10 in CNY, it means a discount of 10 yuan.
    • percentage: Percentage-based discount. For example, if value is 10, it means 10% off of the order amount.
  • activity_type integer
    The type of promotion applied to the product line:
    • 0: Flash Sale
    • 1: Time-Limited Promotion
    • 2: Bundle Offer
    • 3: Discount Code
    • 4: One-Page Store
    • 5: Free Gift
    • 6: Pre-Order
    • 7: Add-On Item
    • 8: Gift Box
    • 9: Product Upsell Campaign
  • description string
    Custom discount description.
    Example: Custom discount description
  • type string
    Discount type. Valid values are:
    • manual: manual discount
    • automatic: automatic discount
    • discount_code: discount applied through a discount code
  • value string
    The specific value of the discount, in the store currency.
    • When value_type is fix_amount, this field value represents a specific discount amount. For example, if the value is 10 and the store currency is CNY, it means a discount of 10 yuan.
    • When value_type is percentage, the value of this field value represents a specific discount percentage. For example, 10 means 10% off of the order amount.
    Example: 2.01
  • line_itemsobject[]
    A list of order product snapshot.
  • harmonized_system_code string
    Harmonized system code, used to categorize a product in international trade.
    Example: harmonized system code
  • id string
    The ID of the product snapshots table, generated by the system. Combined with the order.id, it uniquely identifies a product.
    Example: 417
  • image_url string
    The URL address that stores the product image.
    Example: https://d2n979dmt31clo.cloudfront.net/image/store/4211449909/1667384795847/63928f08a7174ab2958c6a969
  • product_id string
    SPU serial number.
    Example: 16056761559984840457934011
  • customized_attributesobject[]
    A list of product custom attributes.
  • key string
    Product custom attribute name, imported from external sources.
    When key is businessType, value is fixed to 3, indicating a gift.
  • value string
    Product custom attribute value.
    When key is businessType, value is fixed to 3, indicating a gift.
  • fulfillment_service string
    Logistics company name.
    Example: SF International
  • vendor string
    Supplier.
    Example: Supplier
  • fulfillment_status string
    Shipping status. Valid values are:
    • fulfilled: order shipped
    • partial: order partially shipped
    • null: order not shipped
  • tags string
    Product tags. Multiple tags are separated by commas.
    Example: watch
  • discount_allocationsobject[]
    The discount amount, displayed in both the buyer currency and the store currency.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • amount_setobject
    Discount details in multiple currencies.
  • presentment_moneyobject
    The discount amount information presented to the buyer.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The discount amount information recorded by the merchant.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • discount_application_index integer
    The position of the discount applied to the product within the orders.discount_applications list.
    Example: 1
  • dutiesobject[]
    A list of duty information.
  • country_code_of_origin string
    Country or region code indicating the place of origin or shipping origin. Format: ISO 3166-1.
    Example: US
  • harmonized_system_code string
    Harmonized system code, used to categorize a product in international trade.
    Example: A0023
  • id string
    Tariff number.
    Example: H2325
  • priceobject
    The duty amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The duty amount information presented to the buyer.
  • amount string
    The duty amount. The value is rounded to two decimal places.
    Example: 8.88
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The duty amount information recorded by the merchant.
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • amount string
    The duty amount. The value is rounded to two decimal places.
    Example: 8.88
  • tax_linesobject[]
    A list of tax information.
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.88
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.88
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • rate_percentage double
    The tax rate as a percentage numerical value, rounded to two decimal places. For example, a 2% tax rate is represented as 2.00. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: Tax title
  • gift_card boolean
    Whether the product is a gift card.
    • true: gift card
    • false: not a gift card
  • location_id string
    Local delivery location number or standard delivery location number.
    Example: 5327026538935748524
  • price_setobject
    The product price, displayed in both the store currency and the buyer currency.
  • presentment_moneyobject
    The product price information presented to the buyer.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 80.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The product price information recorded by the merchant.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 10
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • fulfillable_quantity integer
    Remaining fulfillable quantity at product line level.
    Example: 1
  • name string
    SKU title, same as title.
    Example: Product title
  • attribute string
    The option information of the product variant, composed of the variant name and the option value.
    Example: color - red
  • tax_linesobject[]
    A list of tax information.
  • type string
    Tax fee type, used to distinguish between commodity tax and freight tax.
    • product_tax: commodity tax
    • shipping_tax: freight tax
  • price string
    Tax in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: taxes
  • variant_title string
    Product variant value. Multiple values are separated by /.
    Example: big
  • is_bundle boolean
    whether the product is a bundle product.
  • requires_shipping boolean
    Indicates whether the product is subject to shipping.
    • true:Shipping is required.
    • false:Shipping is not required.
  • taxable boolean
    Whether the product is subject to tax.
    • true: Tax is required.
    • false: No tax is required.
  • propertiesobject[]
    A list of product customization information.
  • additional string
    Additional custom fields for products. For example, if name is text, additional can include attributes such as font size, font style, and color.
    Example: Additional fields
  • name string
    Custom attribute name.
    Example: Attribute name
  • role_visibility string
    Custom information visibility roles:
    • customer: Visible to buyers only
    • merchant: Visible to merchants only
    • all: Visible to both buyers and merchants
    • none: Hidden from both buyers and merchants
  • show boolean
    Whether the customized information is visible.
  • type string
    Custom information type. Valid values are:
    • text: text type
    • picture: picture type
    • link: hyperlink type
  • urls array
    URL resource list.
    • If type is picture, thumbnails are rendered via the urls values.
    • If type is link, the hyperlink is the first URL in the urls values.
    Example: ["[\"https://www.url.com\"]"]
  • value string
    Custom attribute value.
    Example: attribute value
  • quantity integer
    Quantity of items in the order.
    Example: 1
  • sku string
    Product SKU serial number.
    Example: 18056761559987524812644011
  • country_code_of_origin string
    Country or region code indicating the place of origin or shipping origin. Format: ISO 3166-1.
    Example: US
  • is_bundle_component boolean
    whether the product is a bundle component product.
  • price string
    The product price in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • title string
    Product title.
    Example: beautiful skirt
  • variant_id string
    A unique code assigned to a distinct product in inventory.
    Example: 18056761559987524812644011
  • bundle_parent_variant_id string
    Parent product variant ID associated with the bundle child product.
  • grams double
    The weight of the product in grams(g).
    Example: 100
  • presentment_currency string
    Buyer currency, the same as the store currency. A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • tax_description string
    The description for the tax.
  • client_detailsobject
    Client details.
  • browser_ip string
    The IP address of the customer's browser used during order placement.
    Example: 157.119.232.35
  • session_hash string
    Member session encrypted information.
    Example: c2c4a58186b9d96395d7e6b5c2969577
  • user_agent string
    User agent.
    Example: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Sa
  • fulfillment_status string
    Shipping status. Valid values are:
    • fulfilled: order shipped
    • partial: order partially shipped
    • null: order not shipped
  • name string
    Store custom order number, starting from 1001. You can set a prefix for this value, such as test1001.
    Example: test1001
  • subtotal_price string
    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. The amount is displayed in the store currency.
    Example: 8.00
  • total_discounts_setobject
    The total order discount, calculated as the sum of marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.
    DEPRECATED:This parameter is deprecated from API version v20210901.
  • presentment_moneyobject
    The discount amount information presented to the buyer.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The discount amount information recorded by the merchant.
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • current_subtotal_price_setobject
    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in both the buyer currency and the store currency.
  • shop_moneyobject
    The order price information recorded by the merchant.
  • amount string
    The order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • presentment_moneyobject
    The order price information presented to the buyer.
  • amount string
    The order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • deduct_member_point_amount_setobject
    The amount deducted from the order using member points, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The deduction amount information presented to the buyer.
  • amount string
    The deduction amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The deduction amount information recorded by the merchant.
  • amount string
    The deduction amount. The value is rounded to two decimal places.
    Example: 1.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • id string
    Order ID, system-defined number.
    Example: 21050224312121887324667162
  • locationsobject[]
    A list of product pickup location addresses.
  • address string
    The first line of the address. This typically includes information such as the street address or a post office box number.
    Example: Address 1
  • city string
    The city in the address.
    Example: Guangzhou
  • country_code string
    A two-letter country or region code that follows the ISO 3166-1 standard, used to identify a specific country or region in the address.
    Example: CN
  • phone string
    Phone number.
    Example: 13100000000
  • province string
    The province in the address.
    Example: Guangdong Province
  • zip string
    The postal code information of the address.
    Example: 521000
  • address_add string
    The second line of the address. This typically includes information such as apartment, suite, or unit number.
    Example: Address 22
  • country string
    The country or region in the address.
    Example: China
  • district string
    The district or county in the address.
    Example: Panyu District
  • location_id string
    Unique code of the pickup location.
    Example: 5327026538935748524
  • name string
    Pickup location name.
    Example: Wanda square
  • town string
    The village or town in the address.
    Example: town
  • type string
    Location types. Valid values are:
    • posLocation: The store location where the order was placed using the POS channel. It is recommended to use posLocationId, because posLocation will be deprecated soon.
    • pickupLocation: The store location for customer pickup when the order's delivery method is self-pickup.
    • productLocation: The inventory location of the products in the order. It is recommended to use the location information in the product line, because productLocation will be deprecated soon.
  • tax_linesobject[]
    A list of tax information.
  • name string
    Tax name.
    Example: Tax name
  • price string
    Tax in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: Tax name
  • financial_status string
    Order payment status. Valid values are:
    • unpaid: order not paid
    • authorized: order payment has been authorized
    • pending: order payment in progress
    • partially_paid: order partially paid
    • paid: order paid
    • partially_refunded: order partially refund
    • refunded: order refund
  • fulfillmentsobject[]
    A list of fulfillment information.
  • created_at string
    The date and time when the fulfillment was created. Format: ISO 8601.
    Example: 2024-08-31T02:20:26+08:00
  • name string
    Fulfillment code.
    Example: 1032-F2
  • order_id string
    Order number.
    Example: 21056577640603870897253153
  • status string
    Shipping status of the order package. Valid values are:
    • success: shipment dispatched
    • cancelled: shipment has been canceled
  • tracking_company string
    Logistics service provider.
    Example: SF International
  • tracking_info_listobject[]
    If this parameter is specified, the individual parameters tracking_url, tracking_number, and tracking_company will be ignored.Maximum of 10 tracking infos allowed.
  • tracking_url string
    The tracking number.
  • tracking_company string
    The URL for tracking the package.
  • tracking_number string
    The logistics service provider.
  • updated_at string
    The date and time when the fulfillment was updated. Format: ISO 8601.
    Example: 2022-11-04T10:18:46+00:00
  • id string
    Fulfillment ID.
    Example: 22046737798141702810214336
  • line_itemsobject[]
    Product list.
  • id string
    The ID of the product snapshots table, generated by the system. Combined with the order.id, it uniquely identifies a product.
    Example: 100
  • is_bundle_component boolean
    whether the product is a bundle component product.
  • product_id string
    SPU serial number.
    Example: 16056761559984840457934011
  • quantity integer
    Quantity of items in the order.
    Example: 1
  • title string
    Product title.
    Example: Useful product
  • grams double
    The weight of the product in grams(g).
    Example: 100
  • image_url string
    The URL address that stores the product image.
    Example: https://d2n979dmt31clo.cloudfront.net/image/store/4211449909/1667384795847/63928f08a7174ab2958c6a969
  • fulfillment_service string
    Logistics company name.
    Example: SF Express
  • fulfillment_status string
    Shipping status. Valid values are:
    • fulfilled: order shipped
    • partial: order partially shipped
    • null: order not shipped
  • is_bundle boolean
    whether the product is a bundle component product.
  • location_id string
    The unique ID of the pickup location.
    Example: 5445886274929439997
  • price_setobject
    The product price, displayed in both the store currency and the buyer currency.
  • presentment_moneyobject
    The product price information presented to the buyer.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 70.0
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The product price information recorded by the merchant.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 10.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • tax_linesobject[]
    A list of tax information.
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: taxes
  • price string
    Tax in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • taxable boolean
    Whether the product is subject to tax.
    • true: Tax is required.
    • false: No tax is required.
  • fulfillable_quantity integer
    Remaining fulfillable quantity of products at the product line level.
    Example: 1
  • fulfillment_quantity integer
    The quantity of products that are actually shipped.
    Example: 1
  • name string
    SKU title, same as title.
    Example: Product name
  • requires_shipping boolean
    Indicates whether the product is subject to shipping.
    • true:Shipping is required.
    • false:Shipping is not required.
  • sku string
    Product SKU serial number.
    Example: test-002
  • variant_id string
    A unique code assigned to a distinct product in inventory.
    Example: 18056761559987524812644011
  • variant_title string
    Product variant value. Multiple values are separated by /.
    Example: big/red
  • vendor string
    Supplier.
    Example: Supplier
  • price string
    The product price in store currency. The value is rounded to two decimal places.
    Example: 10.00
  • attribute string
    The option information of the product variant, composed of the variant name and the option value.
    Example: color - red
  • bundle_parent_variant_id string
    Parent product variant ID associated with the bundle child product.
  • shipment_status string
    Product delivery status. Valid values are:
    • out_for_delivery: out for delivery
    • delivered: delivered
    • faliure: delivery failed
    • picked_up: picked up
  • tracking_number string
    The delivery tracking number provided by the logistics service provider.
    Example: yun0001
  • tracking_url string
    The domain name of the logistics company.
    Example: https://www.sf-international.com/
  • store_id string
    Store ID.
    Example: 1644828244663
  • total_line_items_price string
    The total original price of the products, rounded to two decimal places, displayed in the store currency.
    Example: 8.00
  • total_shipping_price_setobject
    The total shipping fee for the order, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The shipping fee information presented to the buyer.
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The shipping fee information recorded by the merchant.
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • companyobject
    The buyer's company information as recorded at the time the order was placed.
  • id string
    Company ID.
    Example: 1005619945158043247856
  • location_id string
    Location ID.
    Example: 3005619945158043247856
  • tax_registration_id string
    Tax registration ID.
    Example: 213213
  • contract_seq string
    Subscription contract ID.
    Example: 3005619945158043247856
  • current_total_tax string
    The total tax amount, displayed in the store currency.
    Example: 1.00
  • hidden_order boolean
    Indicates whether it is an archived order.
    • true: specify archived orders
    • false: specify unarchived orders
  • tax_number string
    Tax ID.
  • adjust_price string
    The amount discrepancy due to rounding adjustments in POS transactions, expressed in the store currency.
    Example: 8.00
  • buyer_note string
    Buyer's message.
    Example: message
  • checkout_id string
    Abandoned order ID.
    Example: 2404785166526352972864
  • current_total_duties_setobject
    The total customs duties for the products, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The total customs duties information for the products presented to the buyer.
  • amount string
    The duty amount. The value is rounded to two decimal places.
    Example: 8.88
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The total customs duties information for the products recorded by the merchant.
  • amount string
    The duty amount. The value is rounded to two decimal places.
    Example: 8.88
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • customerobject
    Buyer information.
  • phone string
    The phone number of the buyer.
    Example: 13100000000
  • currency string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • id string
    Buyer's ID.
    Example: 4201057495
  • last_name string
    The last name of the buyer.
    Example: Washington
  • updated_at string
    The date and time when the buyer's information was updated. Format:ISO 8601.
    Example: 2022-11-04T10:18:46+00:00
  • addressesobject
    Buyer's address information.
  • address2 string
    The second line of the address. This typically includes information such as apartment, suite, or unit number.
    Example: 65788
  • city string
    The city in the address.
    Example: Yangquan City
  • country_code string
    A two-letter country or region code that follows the ISO 3166-1 standard, used to identify a specific country or region in the address.
    Example: US
  • last_name string
    The last name of the recipient.
    Example: Washington
  • phone string
    The phone number of the buyer.
    Example: 13100000000
  • zip string
    The postal code information of the address.
    Example: 521000
  • country string
    The country or region in the address.
    Example: China
  • first_name string
    The first name of the recipient.
    Example: Tom
  • name string
    The full name of the recipient.
    Example: D203
  • province string
    The province in the address.
    Example: Shanxi Province
  • province_code string
    The code for the province in the billing address, which can be a custom code or a two-digit ISO 3166-2 international code.
    Example: ASD
  • address1 string
    The first line of the address. This typically includes information such as the street address or a post office box number.
    Example: Wanda
  • area_code string
    The area or country code for the phone number.
    Example: +86
  • created_at string
    The date and time when the buyer information was created. Format: ISO 8601.
    Example: 2024-08-31T02:20:26+08:00
  • email string
    The email of the buyer.
    Example: Washingtontest@gmail.com
  • first_name string
    The first name of the buyer.
    Example: Tom
  • refundsobject[]
    Refund list.
  • id string
    Refund ID.
    Example: 2605659027312156877634
  • note string
    Refund notes of merchant.
    Example: Refund notes
  • order_adjustmentsobject[]
    A list of adjusted order information, used to record two types of information:
    • Refund information related to shipping costs ( kind is shipping_refund ).
    • The difference between the automatically calculated refund amount and the actual refund amount ( kind is refund_discrepancy ).
  • amount_setobject
    The adjustment order amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The adjustment order amount information presented to the buyer.
  • amount double
    The adjustment order amount. The value is rounded to two decimal places.
    Example: 8
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The adjustment order amount information recorded by the merchant.
  • amount double
    The adjustment order amount. The value is rounded to two decimal places.
    Example: 8
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • kind string
    The adjustment order type. Valid values are:
    • refund_discrepancy: shipping amount adjustment
    • shipping_refund: payment order amount adjustment
  • reason string
    Reason for adjustment.
    Example: Refund discrepancy
  • refund_id string
    The refund order ID.
    Example: 2605659027312156877634
  • amount string
    The adjustment order amount. The value is rounded to two decimal places.
    Example: 8.00
  • id string
    The adjustment order ID.
    Example: RAP5570565996182771228
  • order_id string
    Order number.
    Example: 21056577640603870897253153
  • tax_amount string
    The tax amount of the adjusted order in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • tax_amount_setobject
    The tax amount of the adjustment order, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount double
    The tax amount. The value is rounded to two decimal places.
    Example: 8
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount double
    The tax amount. The value is rounded to two decimal places.
    Example: 8
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • order_id string
    Order number.
    Example: 21056577640603870897253153
  • processed_at string
    Refund initiation time. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • user_id string
    Buyer ID.
    Example: 4201057495
  • created_at string
    The date and time when the refund order was created. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • refund_line_itemsobject[]
    A list of refund details for each item line.
  • id string
    Refund order number.
    Example: 2605659027312156877634
  • line_itemobject
    The product line information in the fulfillment order.
  • attribute string
    The option information of the product variant, composed of the variant name and the option value.
    Example: color - red
  • fulfillable_quantity integer
    Remaining fulfillable quantity at product line level.
    Example: 1
  • fulfillment_status string
    Shipping status. Valid values are:
    • fulfilled: order shipped
    • partial: order partially shipped
    • null: order not shipped
  • variant_id string
    A unique code assigned to a distinct product in inventory.
    Example: 18056761559987524812644011
  • fulfillment_service string
    Logistics company name.
    Example: SF International
  • name string
    SKU title, same as title.
    Example: 18056761559987524812644011
  • quantity integer
    Quantity of items in the order.
    Example: 1
  • sku string
    Product SKU serial number.
    Example: sku name
  • variant_title string
    Product variant value. Multiple values are separated by /.
    Example: big/red
  • vendor string
    Supplier.
    Example: Supplier
  • grams double
    The weight of the product in grams(g).
    Example: 1
  • id string
    The ID of the product snapshots table, generated by the system. Combined with the order.id, it uniquely identifies a product.
    Example: 403
  • product_id string
    SPU serial number.
    Example: 16056761559984840457934011
  • requires_shipping boolean
    Indicates whether the product is subject to shipping.
    • true:Shipping is required.
    • false:Shipping is not required.
  • tax_linesobject[]
    A list of tax information.
  • price string
    Tax in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: Headline
  • taxable boolean
    Whether the product is subject to tax.
    • true: Tax is required.
    • false: No tax is required.
  • price string
    The product price in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The product price, displayed in both the store currency and the buyer currency.
  • presentment_moneyobject
    The product price information presented to the buyer.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 10.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The product price information recorded by the merchant.
  • amount string
    The product price. The value is rounded to two decimal places.
    Example: 70.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • title string
    Product title.
    Example: Product title
  • quantity integer
    The quantity of refunded products.
    Example: 1
  • restock_type string
    Inventory return type. Valid values are:
    • no_restock: not returned
    • cancel: canceled
    • return: returned
  • subtotal_setobject
    The total amount of the refund displayed in both the buyer currency and the store currency. It is calculated as the product of the unit price and quantity.
  • presentment_moneyobject
    The refund amount information presented to the buyer.
  • amount string
    The refund amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The refund amount information recorded by the merchant.
  • amount string
    The refund amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • total_tax double
    The tax amount of the refunded products, displayed in the store currency. The value is rounded to two decimal places.
    Example: 8
  • line_item_id string
    The ID of the product snapshots table, generated by the system. Combined with the order.id, it uniquely identifies a product.
    Example: 406
  • subtotal double
    The total amount of the refund in the store currency. It is calculated as the product of the unit price and quantity.
    Example: 8
  • total_tax_setobject
    The tax amount of the refunded products, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • transactionsobject[]
    A list of refund transaction information.
  • amount string
    The refund amount. The value is rounded to two decimal places.
    Example: 8.00
  • channel_refund_id string
    A unique identifier for the refund order from the external channel or payment provider.
  • created_at string
    The date and time when the refund transaction order was created. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • currency string
    Three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • order_id string
    Order number.
    Example: 21056577640603870897253153
  • processed_at string
    Refund order update time. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • settle_amount string
    Refund amount in the settlement currency ( settle_currency ). The value is rounded to two decimal places.
    Example: 8.00
  • settle_currency string
    Refund settlement currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • gateway string
    Payment channel code.
    Example: Mypay
  • id string
    Refund ID.
    Example: 2605659027312156877634
  • kind string
    Transaction type. The value is fixed to refund.
    Example: refund
  • status string
    Refund status. Valid values are:
    • pending: refund in progress
    • failure: refund failed
    • success: refund successful
    • error: refund error
  • status_update_at string
    Update time of the refund order status.
  • user_id string
    Buyer ID.
    Example: 4201057495
  • total_outstanding string
    The total unpaid amount in the store currency. The value is rounded to two decimal places.
    Example: 8.00
  • updated_at string
    The date and time when the order was updated. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • current_total_price string
    The total order amount, displayed in the store currency.
    Example: 60.0
  • note_attributesobject[]
    A list of merchant note logs.
  • create_time string
    Note creation time. Format: ISO 8601.
    Example: 2022-11-04T10:18:46+00:00
  • name string
    Merchant ID, indicating the note source.
    Example: Note source
  • value string
    Note content.
    Example: Notes
  • source_url string
    Attribution URL, used to record how the buyer was redirected to the online store.
  • taxes_included boolean
    Indicates whether this order includes taxes.
    • true: including taxes
    • false: excluding taxes
  • total_tax_setobject
    The total tax amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • total_weight double
    The total weight of products in grams(g).
    Example: 1
  • utm_parameters string
    Parameters specifically designed for the advertising business, used for ad attribution calculation.
  • cancelled_at string
    The date and time when the order was canceled. Format: ISO 8601.
    Example: 2012-05-01T14:22:25-04:00
  • po_number string
    Purchase order number for a B2B order.
  • pos_location_id string
    POS trading location ID.
    Example: 5327026538935748524
  • tax_type string
    The type of tax applicable to the order. Valid values are:
    • product_tax: product tax
    • shipping_tax: shipping tax
  • order_at string
    Order completion time. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • payment_termsobject
    Information related to payment terms.
  • updated_at string
    The date and time when the payment term was updated. Format: ISO 8601.
    Example: 2024-06-05 08:00:00
  • created_at string
    The date and time when payment terms were created. Format: ISO 8601.
    Example: 2024-06-05 08:00:00
  • due_in_days integer
    Remaining days until the payment is due. This field is returned when the value of payment_terms_type is NET.
    Example: 2
  • id string
    The unique identifier (ID) that identifies this payment term.
    Example: 6497210673894431747
  • overdue boolean
    Whether the payment is overdue.
    • true: overdue
    • false: not overdue
  • payment_schedulesobject[]
    A set of schedules associated with the payment terms.
  • completed_at string
    Payment completion date. Format: ISO 8601.
    Example: 2024-06-05 08:00:00
  • due_at string
    Expected payment date. Format: ISO 8601.
    Example: 2024-06-05 08:00:00
  • issued_at string
    Payment start time. When payment_terms_type is FIXED or NET, issue_at indicates the save time of the draft order or the order itself. If the draft order is converted to an order, the order inherits the save time of the draft. When payment_terms_type is FULFILLMENT or RECEIPT, it refers to the payment start time. Format: ISO 8601.
    Example: 2024-06-05 08:00:00
  • payment_terms_name string
    The name of the payment terms template used to create the payment terms.
    Example: Due on receipt
  • payment_terms_type string
    The type of payment terms template used to create the payment terms. Valid values are:
    • FIXED: Merchant specified date
    • FULFILLMENT: Fulfillment (Shipment) completion date
    • NET: Fixed condition date
    • RECEIPT: Billing sent date
    • UNKNOWN: Unknown type
  • processed_at string
    Order completion time. Format: ISO 8601.
    Example: 2023-04-12T22:59:52+08:00
  • subtotal_price_setobject
    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.
  • presentment_moneyobject
    The final price information presented to the buyer.
  • amount string
    The final price. The value is rounded to two decimal places.
    Example: 1.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The final price information recorded by the merchant.
  • amount string
    The final price. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • tags string
    Order tag.
    Example: Label
  • adjust_price_setobject
    The amount discrepancy due to rounding adjustments in POS transactions, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The amount discrepancy information presented to the buyer.
  • amount string
    The adjusted price amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The amount discrepancy information recorded by the merchant.
  • amount string
    The adjusted price amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • customer_locale string
    Buyer's language code + country or region code. The language code follows the ISO 639 standard. Country or region code follows the ISO 3166-1 standard.
    Example: enCA
  • order_status_url string
    Order status page URL.
    Example: https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509
  • shipping_linesobject[]
    A list of shipping fee.
  • title string
    Logistics company name.
    Example: SF International
  • code string
    Only local delivery shipping methods will return a value, displayed as Local delivery .
    Example: Local delivery
  • discount_allocationsobject[]
    A list of discount details.
  • amount string
    The discount amount in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • amount_setobject
    The discount amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The discount amount information presented to the buyer.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The discount amount information recorded by the merchant.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • discount_application_index integer
    The position of the discount applied to the product within the orders.discount_applications list.
    Example: 1
  • discounted_price_setobject
    The discount amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The discount amount information presented to the buyer.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The discount amount information recorded by the merchant.
  • amount string
    The discount amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • phone string
    Buyer's phone.
    Example: 13100000000
  • price string
    The shipping fee amount in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • shipping_strategy_name string
    The name of the shipping strategy. It has a corresponding value only when the shipping method is SHIPPING or LOCAL_DELIVERY.
  • discounted_price string
    Discount amount. The value is rounded to two decimal places, is displayed in the store currency
    Example: 8.00
  • price_setobject
    The shipping fee amount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The shipping fee information presented to the buyer.
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The shipping fee information recorded by the merchant.
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 8.00
  • requested_fulfillment_service_id string
    Transportation service code.
  • shipping_price string
    The original shipping fee in store currency, excluding the amount after discount. The value is rounded to two decimal places.
    Example: 8.00
  • shipping_price_setobject
    The original shipping fee, excluding the amount after discount, displayed in both the buyer currency and the store currency.
  • presentment_moneyobject
    The shipping fee information presented to the buyer.
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • shop_moneyobject
    The shipping fee information recorded by the merchant.
  • amount string
    The shipping fee. The value is rounded to two decimal places.
    Example: 1.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • source string
    Logistics carrier type. Valid values are:
    • Shipper: Shipper logistics
    • Oneship: Oneship logistics
    • Api: logistics carriers added via open API capabilities
    • null: system logistics or custom logistics
  • tax_linesobject[]
    A list of logistics tax information.
  • price string
    Tax in store currency. The value is rounded to two decimal places.
    Example: 8.00
  • price_setobject
    The tax amount, displayed in both the buyer currency and the store currency.
  • shop_moneyobject
    The tax amount information recorded by the merchant.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • presentment_moneyobject
    The tax amount information presented to the buyer.
  • amount string
    The tax amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • rate double
    The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as 0.0200. This field value is for display only.
  • title string
    The title for the tax description, for display only.
    Example: Tax name
  • source_identifier string
    The marketing referral code carried by the store link through which the customer accesses the store. The field value is extracted from the URL parameter ref, resource, or r. For example, if the customer visits the URL myshopline.com/products/slide?ref=22dd9dctg, then the value of this field is 22dd9dctg.
  • source_name string
    Indicates the category of the app that initiated this API. Valid values are:
    • sales_plugin_of: The distribution app in the marketing system
    • member_plugin_referral: The referral app in the membership system
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

header required
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/orders.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get orders
Response
{
"orders": [
{
"tax_lines": [
{
"name": "GST",
"price": "11.32",
"price_set": {
"presentment_money": {
"amount": "11.32",
"currency_code": "USD"
},
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"name": "GST",
"price": "3.40",
"price_set": {
"presentment_money": {
"currency_code": "USD",
"amount": "3.40"
},
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "express_tax"
}
],
"updated_at": "2024-10-30T18:07:25+08:00",
"presentment_currency": "USD",
"fulfillments": [
{
"status": "cancelled",
"tracking_url": "",
"created_at": "2024-10-24T13:33:49+08:00",
"id": "22067011542659047173883424",
"line_items": [
{
"quantity": 1,
"id": "7432",
"location_id": "5479245311502721516",
"name": "TW and US Goods",
"price": "200.00",
"product_id": "16066882414538428437450910",
"variant_id": "18066882414545307096080910",
"fulfillable_quantity": 0,
"fulfillment_quantity": 1,
"fulfillment_service": "",
"image_url": "https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/49bde8461ca648ab966be7505f6cf2f4.jpeg?w=500&h=375",
"taxable": true,
"variant_title": "",
"vendor": "C03-Test Title",
"attribute": "",
"grams": 28350,
"price_set": {
"presentment_money": {
"amount": "200.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
}
},
"fulfillment_status": "fulfilled",
"requires_shipping": true,
"sku": "T20200925200122",
"tax_lines": [
{
"price": "11.32",
"price_set": {
"presentment_money": {
"currency_code": "USD",
"amount": "11.32"
},
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"price": "3.40",
"price_set": {
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
},
"presentment_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "express_tax"
}
],
"title": "TW and US Goods"
}
],
"name": "TU202132481-F1",
"order_id": "21066966839327957070363424",
"tracking_company": "",
"tracking_number": "123",
"updated_at": "2024-10-24T14:01:23+08:00",
"shipment_status": null
},
{
"line_items": [
{
"fulfillment_service": "",
"fulfillment_status": "fulfilled",
"name": "TW and US Goods",
"price_set": {
"presentment_money": {
"amount": "200.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
}
},
"quantity": 1,
"requires_shipping": true,
"variant_title": "",
"vendor": "C03-Test Title",
"attribute": "",
"fulfillment_quantity": 1,
"grams": 28350,
"image_url": "https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/49bde8461ca648ab966be7505f6cf2f4.jpeg?w=500&h=375",
"sku": "T20200925200122",
"title": "TW and US Goods",
"fulfillable_quantity": 0,
"id": "7432",
"location_id": "5479245311502721516",
"tax_lines": [
{
"price": "11.32",
"price_set": {
"presentment_money": {
"amount": "11.32",
"currency_code": "USD"
},
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"price": "3.40",
"price_set": {
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
},
"presentment_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "express_tax"
}
],
"price": "200.00",
"product_id": "16066882414538428437450910",
"taxable": true,
"variant_id": "18066882414545307096080910"
}
],
"order_id": "21066966839327957070363424",
"shipment_status": null,
"tracking_number": "",
"updated_at": "2024-10-24T14:01:38+08:00",
"created_at": "2024-10-24T14:01:30+08:00",
"id": "22067011821330785972073424",
"name": "TU202132481-F2",
"status": null,
"tracking_company": "",
"tracking_url": ""
}
],
"order_source": "web",
"total_line_items_price": "200.00",
"total_tax": "14.72",
"contract_seq": null,
"current_total_discounts": "0.00",
"fulfillment_status": "null",
"order_status_url": "https://bing5.myshoplinestg.com/219/orders/21066966839327957070363424/authenticate?key=c6c1a669668393c7957070d6d4c4e0a8&orderMark=865CFE9932E98DB1487217C0C5C315E533979F7CB0B8C80E6B12CCAC27AB52EB",
"payment_terms": null,
"total_discounts": "0.00",
"buyer_note": "",
"hidden_order": false,
"note": null,
"payment_details": [
{
"pay_amount": 274.72,
"pay_merchant_email": null,
"status_code": null,
"pay_merchant_id": null,
"processed_at": null,
"status_msg": null,
"gateway": "COD",
"pay_merchant_order_id": null,
"settle_currency": "USD",
"create_time": "2024-10-21T11:32:56+08:00",
"pay_channel": "customPay",
"pay_channel_deal_id": null,
"pay_seq": "23066966839379630895653424",
"pay_status": "unpaid",
"settle_pay_amount": 274.72
}
],
"source_url": "",
"tax_type": "Tax Identification Number",
"billing_address": {
"address2": "San+Antonio",
"city": "Air Force Academy",
"country": "United States",
"country_code": "US",
"last_name": "Addr-US",
"phone": "13212345678",
"province_code": "4200037",
"address1": "9800+Fredericksburg+Road+Northwest+Side",
"company": "",
"first_name": "FireXuan_CN",
"name": "FireXuan_CN Addr-US",
"province": "New York",
"zip": "12000"
},
"credit_limit": null,
"payment_gateway_names": [
"customPay"
],
"client_details": {
"browser_ip": "157.119.232.36",
"session_hash": "a3980801-295b-46ea-a331-b43b2e0f7758",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/127.0.0.0 Safari/537.36"
},
"current_total_tax": "14.72",
"total_discounts_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"currency_code": "USD",
"amount": "0.00"
}
},
"total_tip_received_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"id": "21066966839327957070363424",
"tax_number": "45345",
"checkout_id": "2406696682020612513424",
"discount_codes": [],
"browser_ip": "157.119.232.36",
"company": null,
"current_total_discounts_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"customer_locale": "enUS",
"deduct_member_point_amount": "0.00",
"refunds": [
{
"refund_line_items": [
{
"id": "RDP6710127007224044702",
"line_item": {
"price": "200.00",
"sku": "T20200925200122",
"variant_id": "18066882414545307096080910",
"fulfillment_service": "",
"id": "7432",
"price_set": {
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
},
"presentment_money": {
"currency_code": "USD",
"amount": "200.00"
}
},
"quantity": 1,
"variant_title": "",
"name": "TW and US Goods",
"product_id": "16066882414538428437450910",
"taxable": true,
"vendor": "C03-Test Title",
"fulfillable_quantity": 0,
"requires_shipping": true,
"tax_lines": [
{
"price": "11.32",
"price_set": {
"presentment_money": {
"amount": "11.32",
"currency_code": "USD"
},
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"title": "express_tax",
"price": "3.40",
"price_set": {
"presentment_money": {
"amount": "3.40",
"currency_code": "USD"
},
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.0566
}
],
"title": "TW and US Goods",
"attribute": "",
"fulfillment_status": "fulfilled",
"grams": 28350
},
"quantity": 1,
"restock_type": "return",
"subtotal_set": {
"shop_money": {
"currency_code": "USD",
"amount": "211.32"
},
"presentment_money": {
"amount": "211.32",
"currency_code": "USD"
}
},
"total_tax": 11.32,
"line_item_id": "7432",
"subtotal": 211.32,
"total_tax_set": {
"presentment_money": {
"amount": "11.32",
"currency_code": "USD"
},
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
}
}
}
],
"created_at": "2024-10-30T18:07:25+08:00",
"processed_at": null,
"transactions": [],
"user_id": "4600604163",
"id": "2606710127006922054812",
"note": null,
"order_adjustments": [
{
"kind": "shipping_refund",
"order_id": "21066966839327957070363424",
"tax_amount_set": {
"presentment_money": {
"amount": 3.4,
"currency_code": "USD"
},
"shop_money": {
"currency_code": "USD",
"amount": 3.4
}
},
"amount_set": {
"presentment_money": {
"amount": 60,
"currency_code": "USD"
},
"shop_money": {
"amount": 60,
"currency_code": "USD"
}
},
"reason": "Shipping refund",
"refund_id": "2706710127007089826973",
"tax_amount": "3.40",
"amount": "60.00",
"id": "RAP6710127008012573855"
},
{
"tax_amount_set": {
"presentment_money": {
"amount": 14.72,
"currency_code": "USD"
},
"shop_money": {
"amount": 14.72,
"currency_code": "USD"
}
},
"amount": "274.72",
"kind": "refund_discrepancy",
"order_id": "21066966839327957070363424",
"reason": "Refund discrepancy",
"refund_id": "2706710127007089826973",
"amount_set": {
"presentment_money": {
"amount": 274.72,
"currency_code": "USD"
},
"shop_money": {
"amount": 274.72,
"currency_code": "USD"
}
},
"id": "RAP6710127008079682720",
"tax_amount": "14.72"
}
],
"order_id": "21066966839327957070363424"
}
],
"source_identifier": "",
"status": "cancelled",
"adjust_price_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"cancel_reason": "",
"cart_token": null,
"checkout_token": "c2c4a6696682a2a6b2f1d4c48396a1b3",
"discount_applications": [],
"order_at": "2024-10-21T11:32:56+08:00",
"phone": null,
"shipping_lines": [
{
"title": "Local delivery",
"discount_allocations": null,
"discounted_price_set": null,
"price": "60.00",
"shipping_price": "60.00",
"source": null,
"code": "Local delivery",
"discounted_price": null,
"phone": "00113212345678",
"price_set": {
"presentment_money": {
"amount": "60.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "60.00",
"currency_code": "USD"
}
},
"requested_fulfillment_service_id": null,
"shipping_price_set": {
"presentment_money": {
"amount": "60.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "60.00",
"currency_code": "USD"
}
},
"tax_lines": [
{
"price": "3.40",
"price_set": {
"presentment_money": {
"amount": "3.40",
"currency_code": "USD"
},
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.06,
"title": "express_tax"
}
]
}
],
"currency": "USD",
"current_total_price_set": {
"presentment_money": {
"amount": "274.72",
"currency_code": "USD"
},
"shop_money": {
"amount": "274.72",
"currency_code": "USD"
}
},
"processed_user_id": "4600604163",
"service": null,
"shipping_address": {
"district": "",
"name": "FireXuan_CN Addr-US",
"province": "New York",
"address1": "9800+Fredericksburg+Road+Northwest+Side",
"delivery_store_code": null,
"latitude": null,
"address2": "",
"delivery_store_name": null,
"district_code": "",
"first_name": "FireXuan_CN",
"longitude": null,
"province_code": "4200037",
"city": "Air Force Academy",
"company": "",
"country": "United States",
"country_code": "US",
"last_name": "Addr-US",
"phone": "13212345678",
"zip": "12000"
},
"source_name": "",
"store_id": "219",
"subtotal_price_set": {
"shop_money": {
"amount": "200.0",
"currency_code": "USD"
},
"presentment_money": {
"amount": "200.0",
"currency_code": "USD"
}
},
"current_subtotal_price": "200.00",
"current_subtotal_price_set": {
"presentment_money": {
"amount": "200.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
}
},
"email": "bing+448@shopline.com",
"tags": null,
"total_line_items_price_set": {
"presentment_money": {
"amount": "200.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
}
},
"total_weight": 28350,
"user_id": "4600604163",
"created_at": "2024-10-21T11:32:56+08:00",
"subtotal_price": "200.0",
"total_tax_set": {
"presentment_money": {
"amount": "14.72",
"currency_code": "USD"
},
"shop_money": {
"amount": "14.72",
"currency_code": "USD"
}
},
"current_total_duties_set": null,
"current_total_price": "274.72",
"customer": {
"email": "bing+448@shopline.com",
"first_name": "FireXuan_CN",
"last_name": "FireXuan_CN Addr-US",
"phone": null,
"addresses": {
"city": "Air Force Academy",
"country": "United States",
"country_code": "US",
"last_name": "Addr-US",
"name": "FireXuan_CN Addr-US",
"phone": "13212345678",
"province": "New York",
"address1": "9800+Fredericksburg+Road+Northwest+Side",
"address2": "",
"first_name": "FireXuan_CN",
"province_code": "4200037",
"zip": "12000"
},
"area_code": null,
"created_at": "2024-04-19T10:23:49+08:00",
"currency": "USD",
"id": "4600604163",
"updated_at": null
},
"landing_site": "https://bingtang.asia/zh-hans-cn/",
"name": "TU202132481",
"po_number": null,
"total_outstanding": "274.72",
"total_shipping_price_set": {
"presentment_money": {
"amount": "60.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "60.00",
"currency_code": "USD"
}
},
"current_total_tax_set": {
"presentment_money": {
"amount": "14.72",
"currency_code": "USD"
},
"shop_money": {
"currency_code": "USD",
"amount": "14.72"
}
},
"deduct_member_point_amount_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"locations": [
{
"town": null,
"address_add": "",
"city": "Paterson",
"district": "",
"location_id": "5479245311502721516",
"phone": "13845678909",
"province": "New Jersey",
"type": "productLocation",
"zip": "07522",
"address": "12 Stout Street",
"country": "United States",
"country_code": "US",
"name": "United States - Texas (9800 Fredericksburg Road, San Antonio, Texas 78288, United States)"
}
],
"note_attributes": [],
"processed_at": "2024-10-21T11:32:56+08:00",
"referring_site": "",
"taxes_included": true,
"utm_parameters": "{\"sl_source_ad_platform\":\"\",\"sl_source_campaign_id\":\"\",\"sl_source_placement\":\"\",\"sl_source_ad_id\":\"\",\"utm_source\":\"\",\"utm_medium\":\"\",\"utm_campaign\":\"\",\"utm_adset\":\"\",\"utm_ad\":\"\",\"utm_content\":\"\",\"utm_term\":\"\"}",
"adjust_price": "0.00",
"financial_status": "unpaid",
"line_items": [
{
"fulfillable_quantity": 0,
"fulfillment_service": "",
"properties": null,
"quantity": 1,
"tax_lines": [
{
"price": "11.32",
"price_set": {
"shop_money": {
"amount": "11.32",
"currency_code": "USD"
},
"presentment_money": {
"amount": "11.32",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax",
"type": "product_tax"
},
{
"title": "express_tax",
"type": "shipping_tax",
"price": "3.40",
"price_set": {
"presentment_money": {
"currency_code": "USD",
"amount": "3.40"
},
"shop_money": {
"amount": "3.40",
"currency_code": "USD"
}
},
"rate": 0.0566
}
],
"title": "TW and US Goods",
"attribute": "",
"country_code_of_origin": null,
"gift_card": false,
"grams": 28350,
"name": "TW and US Goods",
"fulfillment_status": "fulfilled",
"taxable": true,
"variant_id": "18066882414545307096080910",
"price_set": {
"shop_money": {
"amount": "200.00",
"currency_code": "USD"
},
"presentment_money": {
"amount": "200.00",
"currency_code": "USD"
}
},
"product_id": "16066882414538428437450910",
"vendor": "C03-Test Title",
"discount_allocations": null,
"location_id": "5479245311502721516",
"tags": "rocketbig",
"variant_title": "",
"harmonized_system_code": "988777788999",
"requires_shipping": true,
"duties": [],
"customized_attributes": null,
"image_url": "https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/49bde8461ca648ab966be7505f6cf2f4.jpeg?w=500&h=375",
"price": "200.00",
"sku": "T20200925200122",
"id": "7432"
}
],
"total_tip_received": "0.00",
"cancelled_at": "2024-10-30T18:07:25+08:00",
"pos_location_id": null
},
{
"adjust_price_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"current_total_tax": "56.60",
"discount_applications": [],
"total_outstanding": "0.00",
"billing_address": {
"address2": "xihuanwann",
"city": "Riverside",
"province": "California",
"province_code": "4200006",
"company": "",
"country": "US",
"country_code": "US",
"first_name": "lucous",
"last_name": "toba",
"name": "lucous toba",
"phone": "01066666666",
"zip": "92504",
"address1": "8899 Garfield Street, xihuanwann"
},
"checkout_id": null,
"customer_locale": "enUS",
"note": null,
"presentment_currency": "USD",
"tax_lines": [
{
"name": "GST",
"price": "56.60",
"price_set": {
"presentment_money": {
"amount": "56.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "56.60",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"name": null,
"price": "0.00",
"price_set": {
"presentment_money": {
"currency_code": "USD",
"amount": "0.00"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"rate": 0,
"title": "express_tax"
}
],
"taxes_included": true,
"utm_parameters": null,
"phone": "13718003611",
"status": "cancelled",
"total_tax": "56.60",
"cancel_reason": "",
"cart_token": null,
"payment_terms": null,
"total_tax_set": {
"presentment_money": {
"amount": "56.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "56.60",
"currency_code": "USD"
}
},
"customer": {
"addresses": {
"address2": "xihuanwann",
"country_code": "US",
"first_name": "lucous",
"last_name": "toba",
"phone": "01066666666",
"province_code": "4200006",
"zip": "92504",
"address1": "8899 Garfield Street, xihuanwann",
"city": "Riverside",
"country": "US",
"name": "lucous toba",
"province": "California"
},
"area_code": "86",
"created_at": "2023-12-04T15:58:39+08:00",
"currency": "USD",
"email": "xubihui@shopline.com",
"id": "4217351534",
"last_name": "xubihui",
"phone": "13718003611",
"first_name": "",
"updated_at": null
},
"note_attributes": [],
"po_number": null,
"source_url": null,
"total_shipping_price_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"current_total_price": "1056.60",
"current_total_price_set": {
"presentment_money": {
"amount": "1056.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "1056.60",
"currency_code": "USD"
}
},
"deduct_member_point_amount_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"email": "xubihui@shopline.com",
"landing_site": null,
"processed_at": "2024-11-05T15:17:21+08:00",
"total_discounts_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"created_at": "2024-11-05T15:17:21+08:00",
"refunds": [
{
"created_at": "2024-11-05T16:28:35+08:00",
"id": "2606718724816303038494",
"note": null,
"order_id": "21067186531146929695929591",
"refund_line_items": [
{
"id": "RDP6718724821134876704",
"subtotal": 528.3,
"total_tax_set": {
"presentment_money": {
"amount": "28.30",
"currency_code": "USD"
},
"shop_money": {
"amount": "28.30",
"currency_code": "USD"
}
},
"line_item": {
"attribute": null,
"product_id": "16067186511521277740520910",
"taxable": true,
"vendor": null,
"fulfillable_quantity": 0,
"fulfillment_service": "",
"grams": null,
"id": "8434",
"price": "100.00",
"sku": "11",
"name": "Performance Location Split Test Products",
"price_set": {
"presentment_money": {
"amount": "100.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "100.00",
"currency_code": "USD"
}
},
"quantity": 10,
"requires_shipping": true,
"variant_title": null,
"fulfillment_status": "null",
"tax_lines": [
{
"price": "56.60",
"price_set": {
"presentment_money": {
"amount": "56.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "56.60",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"rate": 0,
"title": "express_tax",
"price": "0.00",
"price_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
}
}
],
"title": "Performance Location Split Test Products",
"variant_id": "18067186511526478677540910"
},
"line_item_id": "8434",
"quantity": 5,
"restock_type": "return",
"subtotal_set": {
"presentment_money": {
"amount": "528.30",
"currency_code": "USD"
},
"shop_money": {
"amount": "528.30",
"currency_code": "USD"
}
},
"total_tax": 28.3
},
{
"subtotal_set": {
"presentment_money": {
"currency_code": "USD",
"amount": "528.30"
},
"shop_money": {
"amount": "528.30",
"currency_code": "USD"
}
},
"total_tax_set": {
"presentment_money": {
"amount": "28.30",
"currency_code": "USD"
},
"shop_money": {
"amount": "28.30",
"currency_code": "USD"
}
},
"line_item": {
"price": "100.00",
"product_id": "16067186511521277740520910",
"requires_shipping": true,
"title": "Performance Location Split Test Products",
"fulfillment_service": "",
"grams": null,
"quantity": 10,
"variant_id": "18067186511526478677540910",
"vendor": null,
"tax_lines": [
{
"price": "56.60",
"price_set": {
"presentment_money": {
"amount": "56.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "56.60",
"currency_code": "USD"
}
},
"rate": 0.0566,
"title": "product_tax"
},
{
"title": "express_tax",
"price": "0.00",
"price_set": {
"presentment_money": {
"amount": "0.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "0.00",
"currency_code": "USD"
}
},
"rate": 0
}
],
"fulfillable_quantity": 0,
"fulfillment_status": "null",
"name": "Performance Location Split Test Products",
"price_set": {
"presentment_money": {
"amount": "100.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "100.00",
"currency_code": "USD"
}
},
"sku": "11",
"variant_title": null,
"attribute": null,
"id": "8434",
"taxable": true
},
"quantity": 5,
"restock_type": "return",
"total_tax": 28.3,
"id": "RDP6718724822997147681",
"line_item_id": "8434",
"subtotal": 528.3
}
],
"order_adjustments": [],
"processed_at": null,
"transactions": [
{
"created_at": "2024-11-05T16:28:35+08:00",
"currency": "USD",
"id": "2306718722843319214107",
"kind": "refund",
"order_id": "21067186531146929695929591",
"processed_at": null,
"settle_amount": "1056.60",
"settle_currency": "USD",
"amount": "1056.60",
"status": "success",
"user_id": "4217351534"
}
],
"user_id": "4217351534"
}
],
"tags": "[\"Subscription\"]",
"order_source": null,
"pos_location_id": null,
"payment_gateway_names": [
"KomojuOther",
"codPay"
],
"processed_user_id": "4217351534",
"current_total_tax_set": {
"presentment_money": {
"amount": "56.60",
"currency_code": "USD"
},
"shop_money": {
"amount": "56.60",
"currency_code": "USD"
}
},
"client_details": {
"session_hash": null,
"user_agent": null,
"browser_ip": "183.90.187.195"
},
"currency": "USD",
"current_subtotal_price_set": {
"presentment_money": {
"amount": "1000.00",
"currency_code": "USD"
},
"shop_money": {
"amount": "1000.00",
"currency_code": "USD"
}
},
"fulfillment_status": "null",
"hidden_order": false,
"payment_details": [
{
"settle_pay_amount": 105.66,
"create_time": "2024-11-05T15:17:21+08:00",
"pay_amount": 105.66,
"pay_channel": "KomojuOther",
"pay_channel_deal_id": null,
"pay_status": "unpaid",
"settle_currency": "USD",
"pay_merchant_id": null,
"processed_at": null,
"status_code": null,
"pay_merchant_email": null,
"pay_seq": "23067186531215884053699591",
"status_msg": null,
"gateway": "KOMOJU Other",
"pay_merchant_order_id": null
},
{
"status_msg": null,
"pay_merchant_email": null,
"pay_seq": "2306718722843319214107",
"processed_at": "2024-11-05T16:26:37+08:00",
"gateway": "codPay",
"pay_merchant_id": null,
"pay_merchant_order_id": null,
"settle_currency": "USD",
"pay_channel": "codPay",
"pay_status": "paid",
"status_code": null,
"create_time": "2024-11-05T16:26:37+08:00",
"pay_amount": 1056.6,
"pay_channel_deal_id": null,
"settle_pay_amount": 1056.6
}
],
"referring_site": null,
"shipping_lines": [
{
"discount_allocations": null,
"price": "0.00",
"requested_fulfillment_service_id": null,
"shipping_price_set": {
[...]
